package com.ruoyi.project.sems.service;

import java.util.List;
import com.ruoyi.project.sems.domain.TSpecdevAqf;

/**
 * 特种设备安全阀台账Service接口
 *
 * @author ruoyi
 * @date 2022-09-28
 */
public interface ITSpecdevAqfService
{
    /**
     * 查询特种设备安全阀台账
     *
     * @param id 特种设备安全阀台账ID
     * @return 特种设备安全阀台账
     */
    public TSpecdevAqf selectTSpecdevAqfById(Long id);

    /**
     * 查询特种设备安全阀台账列表
     *
     * @param tSpecdevAqf 特种设备安全阀台账
     * @return 特种设备安全阀台账集合
     */
    public List<TSpecdevAqf> selectTSpecdevAqfList(TSpecdevAqf tSpecdevAqf);

    /**
     * 新增特种设备安全阀台账
     *
     * @param tSpecdevAqf 特种设备安全阀台账
     * @return 结果
     */
    public int insertTSpecdevAqf(TSpecdevAqf tSpecdevAqf);

    /**
     * 修改特种设备安全阀台账
     *
     * @param tSpecdevAqf 特种设备安全阀台账
     * @return 结果
     */
    public int updateTSpecdevAqf(TSpecdevAqf tSpecdevAqf);

    /**
     * 批量删除特种设备安全阀台账
     *
     * @param ids 需要删除的特种设备安全阀台账ID
     * @return 结果
     */
    public int deleteTSpecdevAqfByIds(Long[] ids);

    /**
     * 删除特种设备安全阀台账信息
     *
     * @param id 特种设备安全阀台账ID
     * @return 结果
     */
    public int deleteTSpecdevAqfById(Long id);
    public int deleteTSpecdevAqfByMainId(Long id);
}
